a<-1; b<-c(2,3)
c<-c(4,5,6,7); d<-c(8,9,10)
na<-length(a); nb<-length(b)
nc<-length(c); nd<-length(d)
nn<-na+nb+nc+nd
#--------------
vData<-numeric(nn)
vData[nn]<-a
vData[(nn-1):(nn-na-nb+1)]<-b
vData[(nn-na-nb):(nn-na-nb-nc+1)]<-c
vData[(nn-na-nb-nc):1]<-d
vData